﻿using System.Threading.Tasks;
using bib_talk.Repository;

namespace bib_talk.Business
{
	public class MainWindowManager
	{
		private MainWindowDatabase mwDatabase; //MainWindowDatabase initializeren
		private string loggedInUser; // Feld um eingeloggten User zu speichern

		// Konstruktor für MainWindowManager mit MainWindow und User Referenz
		public MainWindowManager(MainWindow mainWindow, string user)
		{
			mwDatabase = new MainWindowDatabase(mainWindow, user);
			loggedInUser = user;
		}

		// Methode zum Senden einer Nachricht via Datenbankmanager
		public void SendMessage()
		{
			mwDatabase.SendMessage();
		}

		// Methode zum Laden der Nachrichten via Datenbankmanager
		public void LoadMessages()
		{
			mwDatabase.LoadMessages();
		}

		// Methode zum Laden der Online Benutzer via Datenbankmanager
		public void LoadOnlineUsers()
		{ 
			mwDatabase.LoadOnlineUsers();
		}

		// Methode zum Ausloggen des Users via Datenbankmanager
		public void LogoutUser()
		{
			mwDatabase.LogoutUser();
		}

        // Methode zum Löschen des Gesamten Chats
        public void DeleteMessages()
        {
            mwDatabase.ClearMessages();
        }

        // Methode zum Hochladen eines Profilbildes via Datenbankmanager
        public async Task UploadProfileImage(string filePath)
		{
			await mwDatabase.UploadProfileImage(filePath);
		}
	}
}
