﻿using System.Windows.Input;
using System.Windows.Media;
using System.Windows;
using bib_talk.Business;
using System.Windows.Controls;
using System.Threading;

namespace bib_talk
{
    public partial class Login : Window
    {
        LoginManager loginManager;

        public static string loggedInUser; // Feld um eingeloggten User zu speichern

        // Konstruktor für das Login Fenster
		public Login()
        {
            InitializeComponent();

            loginManager = new LoginManager(this);
        }

        // Methode für Custom Draggable Area
        private void DraggableArea_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (e.ButtonState == MouseButtonState.Pressed)
            {
                DragMove();
            }
        }

        // Methode um das Fenster zu schließen
        private void CloseButton_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        // Methode um den User einzuloggen
        private async void WeiterButton_Click(object sender, RoutedEventArgs e)
        {
            if (usernbox.Text != "" && passwordbox.Password != "")
            {
	            loginManager.Login();
            }
        }

        // Methode um den Weiter Button zu Aktivieren, wenn ein Nutzername und Passwort eingegeben ist
        private void passwordbox_PasswordChanged(object sender, RoutedEventArgs e)
        {
            if (usernbox.Text != "" && passwordbox.Password != "")
            {
                SolidColorBrush customBrush = new SolidColorBrush((Color)ColorConverter.ConvertFromString("#FF6332A0"));
                weiterbutton.Foreground = Brushes.White;
                weiterbutton.Background = customBrush;
            }
            else
            {
                SolidColorBrush customBrush = new SolidColorBrush((Color)ColorConverter.ConvertFromString("#FF323134"));
                weiterbutton.Foreground = Brushes.Gray;
                weiterbutton.Background = customBrush;
            }
        }

        // Methode um das Registrierungs Fenster zu öffnen
        private void Register_Click(object sender, RoutedEventArgs e)
        {
            RegisterWindow register = new RegisterWindow();
            register.Show();
            this.Close();
        }

        // Methode um via der Enter Taste zum nächsten Feld zu springen
        private void userNameBox_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                passwordbox.Focus();
            }
        }

        // Methode um via der Enter Taste den User einzuloggen
        private void passwordbox_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                if (usernbox.Text != "" && passwordbox.Password != "")
                {
                    loginManager.Login();
                }
            }
        }


		// Debug Methode um 100 Bot User einzuloggen
		// Man fügt die Methode einem Button hinzu und ruft sie als Button Click Event auf

		//private void LoginBotUser(object sender, RoutedEventArgs e)
		//{
		//    for (int i = 1; i <= 100; i++)
		//    {
		//        string name = "Bot";
		//        string password = "Bot123";
		//        loginManager.LoginBots(name + i, password);
		//        Thread.Sleep(1000);
		//    }
		//}

	}
}
